<div >
    <form >
        <label for="name">Name:</label><br/>
        <input name="name" id="name" type="text" [(ngModel)]="itemToEdit.name" ><br/>
        <label for="price">Price[din]:</label><br/>
        <input id="price" name="price" [(ngModel)]="itemToEdit.price"><br/>
        <label for="category">Category:</label><br/>
        <select class="form-control" [(ngModel)]="itemToEdit.category.id" name="category" id="category">
            <option *ngFor="let c of categories" [value]="c.id">{{c.name}}</option>
        </select><br/>
        <button class="btn btn-success" (click)="editItem()">save</button>
        <button class="btn btn-warning" (click)="resetItem()">reset</button>
    </form>
</div>